﻿@model IEnumerable<TooJaVile.Models.Department>

@{
    ViewBag.Title = "Index";
}

<h2>Osakonnad</h2>
<style class="table">
    table {
        border: 2px solid #de9c6c;
    }

    td, th {
        border: 1px solid #de9c6c;
    }


    tr:nth-child(even) {
        background-color: lightgray;
    }
</style>
<p>
    @Html.ActionLink("Uue osakonna loomine", "Create")
</p>
<table class="table">
    <tr>
        <th>
            @*@Html.DisplayNameFor(model => model.Name)*@
            Osakond
        </th>
        @*<th>
            @Html.DisplayNameFor(model => model.SortId)
        </th>*@
        <th>
            @*@Html.DisplayNameFor(model => model.DataFile.ContentType)*@
            Osakonna pilt
        </th>
        <th>


        </th>
    </tr>

@foreach (var item in Model) {
<tr>
    <td>
        @Html.DisplayFor(modelItem => item.Name)
    </td>
    @*<td>
            @Html.DisplayFor(modelItem => item.SortId)
        </td>*@
    <td>
        @*@Html.DisplayFor(modelItem => item.DataFile.ContentType)*@
        <img src="@Url.Action("Content", "DataFiles", new {id = item.PictureId})" height="100" />
    </td>
    @if (ViewBag.CurrentPerson.IsAccountant)
    {
        <td>
            @Html.ActionLink("Muuda", "Edit", new { id = item.Id }) |
            @Html.ActionLink("Vaata", "Details", new { id = item.Id }) |
            @Html.ActionLink("Kustuta", "Delete", new { id = item.Id })
        </td>
    }
    else
    { }
    </tr>
}

</table>
